<?php
return array
(
    'name' => '商户订单表',
    'struct' => array
    (
        'order_num' => array
        (
            'name'      => '系统订单号',
            'type'      => 'varchar(100)',
        ),

        'account' => array
        (
            'name'      => '充值账号',
            'type'      => 'varchar(100)',
        ),

        'goods_id' => array
        (
            'name'      => '商品id',
            'type'      => 'int(11)',
        ),

        'sku_id' => array
        (
            'name'      => '规格id',
            'type'      => 'int(11)',
        ),

        'num'        => array
        (
            'type'      => 'int(11)',
            'name'      => '总数量',
        ),

        'cash'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '总面值',
        ),

        'price'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '实付金额',
        ),

        'seller_id' => array
        (
            'name'      => '商户',
            'type'      => 'int(11)',
            'value'     => 'seller/info',
        ),

        'seller_order_num' => array
        (
            'name'      => '商户订单号',
            'type'      => 'varchar(100)',
        ),

        'seller_request' => array
        (
            'name'      => '商户请求数据',
            'type'      => 'varchar(2000)',
        ),

        'seller_callback' => array
        (
            'name'      => '商户回调数据',
            'type'      => 'varchar(2000)',
        ),

        'seller_callback_date' => array
        (
            'name'      => '商户回调时间',
            'type'      => 'int(11)',
        ),

        'seller_callback_num' => array
        (
            'name'      => '商户回调次数',
            'type'      => 'int(11)',
        ),

        'channel_id' => array
        (
            'name'      => '渠道',
            'type'      => 'int(11)',
            'value'     => 'channel/info',
        ),

        'channel_order_num' => array
        (
            'name'      => '渠道订单号',
            'type'      => 'varchar(100)',
        ),

        'channel_request' => array
        (
            'name'      => '渠道请求数据',
            'type'      => 'varchar(2000)',
        ),

        'channel_response' => array
        (
            'name'      => '渠道响应数据',
            'type'      => 'varchar(2000)',
        ),

        'channel_callback' => array
        (
            'name'      => '渠道回调数据',
            'type'      => 'varchar(2000)',
        ),

        'channel_callback_date' => array
        (
            'name'      => '渠道回调时间',
            'type'      => 'int(11)',
        ),

        'official_order_num' => array
        (
            'name'      => '官方流水号',
            'type'      => 'varchar(100)',
        ),

        'official_msg' => array
        (
            'name'      => '官方充值结果',
            'type'      => 'varchar(1000)',
        ),

        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '已下单',
                2 => '处理中',
                //3 => '队列中',
                //4 => '失败待处理',
                //5 => '已暂停',
                10 => '成功',
                11 => '失败',
            ),
        ),
    ),

    'index' => array
    (
        'search' => 'seller_id,channel_id,order_num,seller_order_num,channel_order_num,account,channel_callback_date,cdate',
    ),
);